Ubuntu

ndiswrapper doesn't work in feisty

Reported by lostevil on 2007-02-04
20
Affects Status Importance Assigned to Milestone
ndiswrapper
Unknown
Unknown
linux (Ubuntu)
Undecided
Unassigned
Nominated for Feisty by jbj
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned
Nominated for Feisty by jbj
ndiswrapper (Ubuntu)
Medium
Unassigned
Nominated for Feisty by jbj

Bug Description

I'd edgy on my macbook core 2 duo using the win32 DLink Atheros AR5008 driver with ndiswrapper and working fine, but on feisty fawn it doesnt work. The driver is correctly installed but it doesn't recognize the wireless.

Andreas Gnau (rondom) wrote :

Please give more info.
ndiswrapper -v
ndiswrapper -l
dmesg (after loading ndiswrapper using modprobe ndiswrapper)

lostevil (korbuscorax) wrote :

$ ndiswrapper -v
utils Error: no version specified!
driver version: 1.30
vermagic: 2.6.20-6-generic SMP mod_unload 586

~$ ndiswrapper -l
installed drivers:
net5416 driver installed
(in edgy said exactily the same here and was working)

lostevil (korbuscorax) wrote :

and then I cant startup ubuntu (kernel panic)

Hendrik Soebbing (soebbi) wrote :

Exactly the same here, installing the driver and loading the kernel-module doesn't show any result. Reboots fail due to kernel panics on startup.

Hendrik Soebbing (soebbi) wrote :

I forgot: ndiswrapper -v and ndiswrapper -l show the same results. I tried
rmmod ndiswrapper
and afterwards
modprobe ndiswrapper
but then my system crashes reproduceable.

fein (oliver-fein-stud) wrote :

Exactly the same here. On Macbook Pro C2D

pabloramix (pabloramix-gmail) wrote :

My macbook freezes when I load the ndiswrapper module. This happens with kernel 2.6.20-8 and 2.6.20-9 (I havn't tried it with other kernel version)

Changed in ndiswrapper:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Jonathan Lange (jml) wrote :

Macbook C2D user here.

ndiswrapper worked on 2.6.20-6, but now kernel panics on 2.6.20-8 and 2.6.28-9.

Andreas Gnau (rondom) wrote :

Have you tried installing the latest version from http://ndiswrapper.sf.net ?
Does it work, then? If yes, this is connected with bug #83479

Hendrik Soebbing (soebbi) wrote :

I tried version 1.38 from SF, but still have the same problem. Can anyone confirm or otherwise post a short howto?
Note: ndiswrapper -l only states "driver installed", not "driver installed, hardware present" as stated on the ndiswrapper wiki.

C de-Avillez (hggdh2) wrote :

Please do the following:

1. blacklist the 1.30 ndiswrapper provided by the linux-kernel (the one that is V1.30).

2. reboot (so that we will start with a clean system)

3. verify there is *NO* ndiswrapper module loaded

(from now on with the SF 1.38 ndiswrapper)

under the directory you downloaded 1.38:

4. sudo make uninstall

5. repeat (4) above until nothing else is removed

6. sudo make install

7. sudo modprobe ndiswrapper

8. save & attach/add here the output of 'dmesg| grep ndiswrapper'

9. save & add here the output of 'ndiswrapper -l'

It seems like there is a conflict between ndiswrapper 1.30 (and its utils) and the current one.

Andreas Gnau (rondom) wrote :

More info would be really helpful. Link to the driver, lspci and lspci -n, dmesg after loading the driver.
ndiswrapper shouldn't load automatically on boot, if you don't tell it to do so.

What did you do?

Hendrik Soebbing (soebbi) wrote :
Download full text (4.9 KiB)

More info, as you wished:

soebbi@syn:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/940GML Express Integrated Graphics Controller (rev 03)
00:07.0 Performance counters: Intel Corporation Unknown device 27a3 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA Storage Controller IDE (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E Gigabit Ethernet Controller (rev 22)
02:00.0 Network controller: Atheros Communications, Inc. Unknown device 0024 (rev 01)
03:03.0 FireWire (IEEE 1394): Agere Systems FW323 (rev 61)

soebbi@syn:~$ lspci -n
00:00.0 0600: 8086:27a0 (rev 03)
00:02.0 0300: 8086:27a2 (rev 03)
00:02.1 0380: 8086:27a6 (rev 03)
00:07.0 1101: 8086:27a3 (rev 03)
00:1b.0 0403: 8086:27d8 (rev 02)
00:1c.0 0604: 8086:27d0 (rev 02)
00:1c.1 0604: 8086:27d2 (rev 02)
00:1d.0 0c03: 8086:27c8 (rev 02)
00:1d.1 0c03: 8086:27c9 (rev 02)
00:1d.2 0c03: 8086:27ca (rev 02)
00:1d.3 0c03: 8086:27cb (rev 02)
00:1d.7 0c03: 8086:27cc (rev 02)
00:1e.0 0604: 8086:2448 (rev e2)
00:1f.0 0601: 8086:27b9 (rev 02)
00:1f.1 0101: 8086:27df (rev 02)
00:1f.2 0101: 8086:27c4 (rev 02)
00:1f.3 0c05: 8086:27da (rev 02)
01:00.0 0200: 11ab:4362 (rev 22)
02:00.0 0280: 168c:0024 (rev 01)
03:03.0 0c00: 11c1:5811 (rev 61)

soebbi@syn:~$ ndiswrapper -i net5416.inf
installing net5416 ...
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64

soebbi@syn:~$ ndiswrapper -l
net5416 : driver installed

soebbi@syn:~$ modprobe ndiswrapper
(crashes, switching to different terminal)

soebbi@syn:~$ dmesg| grep ndiswrapper
[ 326.336000] ndiswrapper ve...

Read more...

JammyZ (jammyz) wrote :

Just an update:
Tried with just released ndiswrapper version 1.39 and version 1.38 on latest kernel and still not working. Tried both Lenovo and D-Link version's of the drivers and no success so far (they were working on Edgy).
Ndiswrapper loads perfectly if not driver is installed, once any of the drivers is installed and module is tried to load the computer becomes really unresponsive (but doesn't hang completely).
Unfortunatelly the native support for this chipset doesn't seem to be ready in a short time so all Macbook owner's don't have another option but ndiswrapper.

Andreas Gnau (rondom) wrote :

I suggest reporting this bug upstream.
http://ndiswrapper.sf.net/wiki/Bugs

JammyZ (jammyz) wrote :

Works with ndiswrapper 1.40 and kernel version 2.6.20-13.21 (latest at the moment), BUT takes about an extra minute to load. See output from dmesg:
...
 [ 20.540000] input: HID 05ac:1000 as /class/input/input8
[ 20.540000] input: USB HID v1.11 Mouse [HID 05ac:1000] on usb-0000:00:1d.3-1
[ 20.540000] usbcore: registered new interface driver usbhid
[ 20.540000] drivers/usb/input/hid-core.c: v2.6:USB HID core driver
[ 20.588000] usbcore: registered new interface driver xpad
[ 20.588000] drivers/usb/input/xpad.c: driver for Xbox controllers v0.1.6
[ 21.036000] fuse init (API version 7.8)
[ 21.092000] lp: driver loaded but no devices found
[ 21.132000] Adding 1622220k swap on /dev/disk/by-uuid/fb453bef-fa10-407c-8f74-d180c4d7e53e. Priority:-1 extents:1 across:1622220k
[ 21.268000] EXT3 FS on sda3, internal journal
[ 25.252000] ndiswrapper version 1.40 loaded (smp=yes)
[ 25.372000] ndiswrapper: driver net5416 (,12/13/2006,6.0.2.75) loaded
[ 25.372000] ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 17 (level, low) -> IRQ 16
[ 25.372000] PCI: Setting latency timer of device 0000:02:00.0 to 64
[ 25.508000] ndiswrapper: using IRQ 16
[ 26.012000] wlan0: ethernet device 00:17:f2:ea:b9:aa using serialized NDIS driver: net5416, version: 0x60000, NDIS version: 0x501, vendor: '', 168C:0024.5.conf
[ 26.020000] wlan0: encryption modes supported: WEP; TKIP with WPA, WPA2, WPA2PSK; AES/CCMP with WPA, WPA2, WPA2PSK
[ 26.076000] usbcore: registered new interface driver ndiswrapper
[ 95.284000] ACPI: Battery Slot [BAT0] (battery present)
[ 95.344000] ACPI: AC Adapter [ADP1] (on-line)
[ 95.416000] input: Power Button (FF) as /class/input/input9
[ 95.416000] ACPI: Power Button (FF) [PWRF]
[ 95.416000] input: Lid Switch as /class/input/input10
[ 95.416000] ACPI: Lid Switch [LID0]
[ 95.416000] input: Power Button (CM) as /class/input/input11
...

I don't what the system is trying to do for all that time but it resumes the bootup and finishes.
I don't know if this is related but on console 8 (Fn+Ctrl+Alt+8) I can see the following:
...
*Checking battery state... [OK]
*Running local boot scripts (/etc/rc.local)
Segmentation fault (core dumped)
                                                                                    [fail]

Andreas Gnau (rondom) wrote :

I strongly recommend reporting this bug upstream.
http://ndiswrapper.sf.net/wiki/Bugs

jbj (jbj-ubu) wrote :

I worked with my Atheros windows driver problem with Ndiswrapper, the result:
http://sourceforge.net/tracker/index.php?func=detail&aid=1700889&group_id=93482&atid=604452

Seems the atheros windows driver and 2.6.19 and above malloc behavior didn't work right, they have patches, trying now.

jbj (jbj-ubu) wrote :

The patches from that bug seemed to do the trick for me, posting this using ndiswrapper:
$ ethtool -i wlan0
driver: ndiswrapper
version: 1.42rc2
firmware-version: ,07/13/2006,5.0.100.112

Andreas Gnau (rondom) wrote :

This is kernel-bug. Hopefully this will be addressed upstream. Otherwise there's a workaround for ndiswrapper.
http://lkml.org/lkml/2006/10/23/30

This appears to also be a problem with non-Atheros cards. Multiple people are reporting problems with the Netgear WG311v3 (a Marvell chipset)- in my case, the v1.38 ndiswrapper that ships with Feisty reports driver installed, but not hardware present; the compiled 1.42 version (last right now) also reports hardware found, but still nothing works: no errors are generated, no crashes, and yet the "wlan0" device is never created or available. This card worked perfectly in Edgy. I'm not sure from the above posts if the patches mentioned would be appropriate for this card, since it is not Atheros and the symptoms seem different.

Bruno Santos (bsantos) wrote :

I'm on Feisty final and ndiswrapper works on my MacBook C2D, have you tried the final release?

I have the same version and it also works for me, but it stops during bootup
for a minute, as I explained in one of my posts.

On 4/24/07, Bruno Santos <email address hidden> wrote:
>
> I'm on Feisty final and ndiswrapper works on my MacBook C2D, have you
> tried the final release?
>
> --
> ndiswrapper doesn't work in feisty
> https://bugs.launchpad.net/bugs/83224
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bruno Santos (bsantos) wrote :

Are you sure the delay is related to ndiswrapper? Are you on a clean install? I don't see that behavior... :|

Bruno Santos (bsantos) wrote :

Have you tried the other driver? If you're using dlink's try lenovo's or
vice-versa.

On Tue, 2007-04-24 at 19:24 +0000, JammyZ wrote:
> I have the same version and it also works for me, but it stops during bootup
> for a minute, as I explained in one of my posts.
>
> On 4/24/07, Bruno Santos <email address hidden> wrote:
> >
> > I'm on Feisty final and ndiswrapper works on my MacBook C2D, have you
> > tried the final release?
> >
> > --
> > ndiswrapper doesn't work in feisty
> > https://bugs.launchpad.net/bugs/83224
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>

Romuald (romu70) wrote :

I tried ndiswrapper from Synaptic (1.9) and the last version which I compiled. I tried it with the DLink driver, this driver worked well in Edgy.

Once I call "sudo modprobe ndiswrapper", the computer is freezed and it's unbootable, I get "soft lockup in CPU#0".

Andreas Gnau (rondom) wrote :

Try using the latest ndiswrapper-version from http://ndiswrapper.sf.net
If the problem still persists report a bug upstream. See the ndiswrapper-wiki on how to do that.

Bruno Santos (bsantos) wrote :

Romuald, I got freezes too with D-Link's, but Lenovo's driver worked well.

I've since been using madwifi ath_pci from svn with WPA.

Andreas Gnau (rondom) wrote :

Bruno: Please tell me which version you use. Try the latest version from http://ndiswrapper.sf.net and if possible also with gutsy. From my point of view this is fixed in gutsy, because the Atheros problems were fixed in 1.45.

Changed in ndiswrapper:
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for ndiswrapper (Ubuntu) because there has been no activity for 60 days.]

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Jim Lieb (lieb) wrote :

This bug report is being closed because we received no response to the previous inquiry for information. Please reopen if this is still an issue in the current Ubuntu release, Jaunty Jackalope 9.04 - http://www.ubuntu.com/getubuntu/download. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
JammyZ (jammyz) wrote :

Linux kernel has had native support for that macbook version wireless chipset for a while now. I'd say nobody is using ndiswrapper on this machine anymore.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.